Bug 1301528 - Micro Bit
Micro Bit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: kushaldas@gmail.com
Simon Clark
ChangeAcceptedF24, SelfContainedChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 04:57 EST by Jan Kurik
Modified: 2016-09-29 07:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-01-25 04:57:18 EST
This is a tracking bug for Change: Micro Bit
For more details, see: https://fedoraproject.org//wiki/Changes/Micro_Bit

Enable the use of BBC Micro Bit  on Fedora systems. Users will be able develop, and put in new code to their micro:bit devices using Fedora.
Comment 1 Jan Kurik 2016-02-24 09:26:24 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 kushaldas@gmail.com 2016-02-25 04:21:45 EST
One final package will get reviewed. But the initial tooling is ready.
Comment 3 kushaldas@gmail.com 2016-02-29 01:45:51 EST
All required packages got approved.
Comment 4 Jan Kurik 2016-04-20 11:02:24 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 5 Simon Clark 2016-04-26 12:19:25 EDT
I have added release notes text to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/?id=95bbbea0093613fd92abaf15beb2ac7169830ef3

Please would you take a look at the draft and let me know if anything should be added or changed?
Comment 6 kushaldas@gmail.com 2016-05-05 08:45:35 EDT
(In reply to Simon Clark from comment #5)
> I have added release notes text to the draft F24 Release Notes here:
> https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/
> ?id=95bbbea0093613fd92abaf15beb2ac7169830ef3
> 
> Please would you take a look at the draft and let me know if anything should
> be added or changed?

This looks good. Can you please let me how to submit patches so that in future I can add images, or any other change?
Comment 7 Simon Clark 2016-05-05 16:30:08 EDT
(In reply to kushaldas@gmail.com from comment #6)
> This looks good. Can you please let me how to submit patches so that in
> future I can add images, or any other change?

The Docs Project starts to assemble content for Release Notes about 3 months before the planned release date.  This takes place on the wiki at https://fedoraproject.org/wiki/Category:Documentation_beats and anyone can contribute.

After 4-6 weeks, work on the wiki is frozen and the content is moved into the release-notes git repository. All the Docs Project git repositories have just been moved from Fedora Hosted into Pagure https://pagure.io/group/fedora-docs. Nothing has been announced officially about workflow, as far as I am aware, but I guess that a pull request against the repository for the appropriate document would be a good way to submit a patch.

If you would like to know more please send an email to the Docs mailing list or ask in #fedora-docs on Freenode IRC.

Note You need to log in before you can comment on or make changes to this bug.